Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.xml
Class JRXmlBaseWriter

    java.lang.Object
      net.sf.jasperreports.engine.xml.JRXmlBaseWriter

Direct Known Subclasses:
  JRXmlTemplateWriter, JRXmlWriter

    public abstract class JRXmlBaseWriter

extends java.lang.Object

Base XML writer.

Version:
  $Id: JRXmlBaseWriter.java 3794 2010-05-13 07:47:16Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary
`protected JRXmlWriteHelper` | `writer`

Constructor Summary
`JRXmlBaseWriter()`

Method Summary
`protected abstract boolean` | `toWriteConditionalStyles()` Decides whether conditional styles are to be written.
`protected void` | `useWriter(JRXmlWriteHelper aWriter)` Sets the XML write helper.
`void` | `writeBox(JRLineBox box)`
`void` | `writeBox(JRLineBox box, XmlNamespace namespace)`
`protected void` | `writeConditionalStyle(JRConditionalStyle style)` Writes a conditional style.
`protected void` | `writePen(JRPen pen)`
`protected void` | `writeStyle(JRStyle style)` Writes a style.
`void` | `writeStyleReferenceAttr(JRStyleContainer styleContainer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### writer

    protected JRXmlWriteHelper writer

Constructor Detail

### JRXmlBaseWriter

    public JRXmlBaseWriter()

Method Detail

### useWriter

    protected void useWriter(JRXmlWriteHelper aWriter)

  Sets the XML write helper.

  Parameters:
    `aWriter` - the XML write helper

### writeStyle

    protected void writeStyle(JRStyle style)
                       throws java.io.IOException

  Writes a style.

  Parameters:
    `style` - the style to write.
  Throws:
    `java.io.IOException`

### writeStyleReferenceAttr

    public void writeStyleReferenceAttr(JRStyleContainer styleContainer)

### toWriteConditionalStyles

    protected abstract boolean toWriteConditionalStyles()

  Decides whether conditional styles are to be written.

  Returns:
    whether conditional styles are to be written

### writeConditionalStyle

    protected void writeConditionalStyle(JRConditionalStyle style)
                                  throws java.io.IOException

  Writes a conditional style.

  Parameters:
    `style` - the conditional style
  Throws:
    `java.io.IOException`

### writePen

    protected void writePen(JRPen pen)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeBox

    public void writeBox(JRLineBox box)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeBox

    public void writeBox(JRLineBox box,
                         XmlNamespace namespace)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com